Forgot password?

Create an account!

Forum

« back

RhinoScript – Extrude multiple Curves at the same time

Messages

Please log in to write a message.

  • 3. Hanno (Nov 22, 2016 19.54):

    You need to loop through your curves:

    For Each strObject in arrObjects
        rhino.ExtrudeCurve strObject, strPath
    Next
  • 2. vahab (Nov 22, 2016 18.25):

    My Apologies...
    It is a Rhino Script Code.
    I forgot to Enclose it with

    &
  • 1. vahab (Nov 22, 2016 18.23):

    Hello All,
    As you know the following code implements one curve to extrude:

    Dim strobject,strPath
    strobject = rhino.GetObject("select a curve to extrude")
    strPath = Rhino.AddLine(Array(0, 0, 0), Array(0, 0, 10))
    rhino.ExtrudeCurve strobject, strPath

    What if multiple curves are to be extruded?
    I simply tried this:

    Dim strobjects,arrobjects
    strobject = rhino.GetObjects("select a curve to extrude")
    strPath = Rhino.AddLine(Array(0, 0, 0), Array(0, 0, 10))
    rhino.ExtrudeCurve strobjects, strPath

    Here is the Error: Type mismatch Parameter, String Required.
    Thanks In advance :)

Recommend

Why are these buttons gray?